# $Revision: 1.22 $, $Date: 2012/06/21 10:15:13 $
# TODO:
# 	- package easyprof
%include	/usr/lib/rpm/macros.perl
%define		_vimdatadir	%{_datadir}/vim/vimfiles
Summary:	AppArmor userlevel utilities that are useful in creating AppArmor profiles
Summary(pl.UTF-8):	Narzędzia przestrzeni użytkownika przydatne do tworzenia profili AppArmor
Name:		apparmor-utils
Version:	2.8.0
Release:	1
Epoch:		1
License:	GPL v2
Group:		Base
Source0:	http://launchpad.net/apparmor/2.8/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	eaf90c52992df3d205a753b2933595fe
Source1:	Ycp.pm
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	gettext-devel
BuildRequires:	rpm-perlprov
Requires:	perl-DBD-SQLite >= 1.08
Provides:	subdomain-utils
Obsoletes:	subdomain-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(ycp)'

%description
This provides some useful programs to help create and manage AppArmor
profiles. This package is part of a suite of tools that used to be
named SubDomain.

%description -l pl.UTF-8
Ten pakiet dostarcza kilka przydatnych programów pomocnych przy
tworzeniu i zarządzaniu profilami AppArmor. Ten pakiet jest częścią
zestawu narzędzi zwanych SubDomain.

%package -n vim-syntax-apparmor
Summary:	AppArmor files support for Vim
Summary(pl.UTF-8):	Obsługa plików AppArmor dla Vima
Group:		Applications/Editors/Vim
# for _vimdatadir existence
Requires:	vim-rt >= 4:6.3.058-3

%description -n vim-syntax-apparmor
AppArmor files support for Vim.

%description -n vim-syntax-apparmor -l pl.UTF-8
Obsługa plików AppArmor dla Vima.

%prep
%setup -q -n apparmor-%{version}

%install
rm -rf $RPM_BUILD_ROOT
cd utils

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	PERLDIR=$RPM_BUILD_ROOT%{perl_vendorlib}/Immunix

install -d $RPM_BUILD_ROOT%{_vimdatadir}/{syntax,ftdetect}
install vim/apparmor.vim $RPM_BUILD_ROOT%{_vimdatadir}/syntax
install %{SOURCE1} $RPM_BUILD_ROOT%{perl_vendorlib}/Immunix

# outdated version of pt
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/pt_PT

cat > $RPM_BUILD_ROOT%{_vimdatadir}/ftdetect/apparmor.vim <<-EOF
au BufNewFile,BufRead /etc/apparmor.d/*,/etc/apparmor/profiles/* set filetype=apparmor
EOF

cd ..

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir %{_sysconfdir}/apparmor
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/*.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/severity.db
%attr(755,root,root) %{_sbindir}/aa-*
%attr(755,root,root) %{_sbindir}/apparmor_status
%dir %{perl_vendorlib}/Immunix
%{perl_vendorlib}/Immunix/*.pm
%{_mandir}/man5/logprof.conf.5*
%{_mandir}/man8/aa-*.8*
%{_mandir}/man8/apparmor_status.8*

%files -n vim-syntax-apparmor
%defattr(644,root,root,755)
%{_vimdatadir}/ftdetect/apparmor.vim
%{_vimdatadir}/syntax/apparmor.vim

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apparmor-utils.spec,v $
Revision 1.22  2012/06/21 10:15:13  arekm
- up to 2.8.0

Revision 1.21  2012/04/07 04:59:58  qboosh
- GPL version

Revision 1.20  2012/04/06 17:49:58  qboosh
- locale comment, more verbose files

Revision 1.19  2012/04/05 20:52:32  arekm
- up to 2.7.2

Revision 1.18  2011/04/01 07:33:19  arekm
- up to 2.6.1

Revision 1.17  2011/03/13 15:18:50  arekm
- up to 2.6.0

Revision 1.16  2010/03/17 19:36:18  arekm
- rel 3

Revision 1.15  2010/03/17 19:22:36  arekm
- rel 2; don't autoreq perl(ycp) as it's provided by this pkg; fix pt locale

Revision 1.14  2010/03/16 21:56:43  arekm
- up to 2.5

Revision 1.13  2010/02/23 22:50:59  gotar
- upgraded to 2.3-1269, rel. 1

Revision 1.12  2008/06/08 10:52:17  glen
- vim-rt dep not vim itself

Revision 1.11  2008-05-29 21:12:36  arekm
- up to 2.1.2 1089

Revision 1.10  2007/08/31 13:03:26  wolvverine
- correct R

Revision 1.9  2007/04/14 00:18:13  zbyniu
- up to 2.0.1-449; epoch 1

Revision 1.8  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.6  2006/12/12 12:09:48  arekm
- fix some paths

Revision 1.5  2006/12/12 01:09:22  zbyniu
- up to 2.0-142, Ycp.pm added

Revision 1.4  2006/12/01 00:29:51  zbyniu
- up to september snapshot

Revision 1.3  2006/05/09 20:39:15  qboosh
- missing dir, remaining pl

Revision 1.2  2006/04/28 00:11:08  zbyniu
- vim-syntax-apparmor subpackage

Revision 1.1  2006/04/26 21:41:51  zbyniu
- new
